Bug 130814 - FILEOPEN: DOCX: Paragraph looses formatting
Summary: FILEOPEN: DOCX: Paragraph looses formatting
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0 target:6.4.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-02-20 16:27 UTC by Xisco Faulí
Modified: 2020-02-24 20:04 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Comparison MSO 2010 and LibreOffice 7.0 master (6.84 KB, image/png)
2020-02-20 16:27 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-02-20 16:27:30 UTC
Created attachment 158054 [details]
Comparison MSO 2010 and LibreOffice 7.0 master

Steps to reproduce:
1. Open attachment 97682 [details] from bug 77727
2. Go to page 2

-> Paragraph is not underlined nor blue. See comparison image

Reproduced in

Version: 7.0.0.0.alpha0+
Build ID: bc994a4b01cf61444452bb377010c7c4cc377698
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2020-02-20 16:28:58 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=b87af9775167002d36a3bc16cb308ea7895d7ea0

author	Jan-Marek Glogowski <jan-marek.glogowski@extern.cib.de>	2020-01-20 22:49:31 +0100
committer	Jan-Marek Glogowski <glogow@fbihome.de>	2020-01-30 15:35:03 +0100
commit	b87af9775167002d36a3bc16cb308ea7895d7ea0 (patch)
tree	02507035fb6df79ea53cf5bdfeac9b0465c899f8
parent	7f56bbe3a09265a62792dc0624fdb44f8c176172 (diff)
tdf#129659 DOCX check global footnote context

Bisected with: bibisect-linux64-6.5

Adding Cc: to Jan-Marek Glogowski
Comment 2 Commit Notification 2020-02-22 00:18:46 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/70a9c644c63248719f1f4248e288df7ee06635cc

tdf#130814 preserve context before page breaks

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Kevin Suo 2020-02-22 01:02:25 UTC
For those who are intereste: the tool used by Xisco to find this bug is at:
https://github.com/x1sc0/office-interoperability-tools
Comment 4 Xisco Faulí 2020-02-22 10:25:27 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: f0a50d230756fc0a60780d992b807f9eb82106c2
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Jan-marek, thanks for fixing this issue!!
Comment 5 Commit Notification 2020-02-24 10:20:05 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/663bcc96fcb129b73d3be02cde27a3d2bc613471

tdf#130814 preserve context before page breaks

It will be available in 6.4.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-02-24 20:04:07 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/911d6451730823aa15b0082eb94f1877755d6ca6

tdf#130814: Add unittest

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.